facter (3.10.0-4) unstable; urgency=medium

  * Make facter compatible with RapidJSON 1.1 (Closes: #893351)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 19 Mar 2018 14:26:24 +0200

facter (3.10.0-3) unstable; urgency=medium

  * Upload to unstable
  * d/NEWS: document breaking changes

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 05 Mar 2018 23:22:11 +0200

facter (3.10.0-2) experimental; urgency=medium

  * Do not run the smoke test on build. Fixes FTBFS due to missing /proc in
    our buildds.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 03 Mar 2018 15:21:22 +0200

facter (3.10.0-1) experimental; urgency=medium

  * New upstream release (Closes: #869763). This is a major update with
    possibly breaking changes, see
    https://docs.puppet.com/facter/3.0/release_notes.html and
    subsequent versions' release notes for more information.
    + Adjust Build-Depends
    + Drop facter 2.x patches
    + d/control: update description to reflect Facter 3.x
  * Upload to experimental
  * Split facter into facter, libfacterX.Y.Z and facter-dev
    + Mark library packages as Multi-Arch: same
  * Add ruby autopkgtests
  * Add puppet integration autopkgtests
  * B-D on ruby-dev-all and make libfacter available to all supported ruby
    versions
  * d/watch: look for facter 3 and switch url to https://
  * New upstream signing key (0x7F438280EF8D349F)
  * Switch Vcs-* URLs to salsa.d.o
  * Update homepage
  * Update d/copyright; this is a complete rewrite of the facter source.
  * d/rules: refactor
  * d/control: facter is now Architecture: any
  * New patch:
    + Use a shared cpp-hocon library
  * d/control: drop all of facter's Depends
  * Bump dh compat to 11; no changes needed
  * Bump Standards-Version to 4.1.3; no changes needed
  * Add myself to Uploaders
  * Remove Nigel from Uploaders; thanks for your work!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 02 Mar 2018 14:23:49 +0200

facter (2.4.6-1) unstable; urgency=medium

  * Imported upstream release 2.4.6

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 27 Jan 2016 22:09:18 +0100

facter (2.4.4-1) unstable; urgency=medium

  * Imported upstream release 2.4.4
  * [c0394ac] Add DEP-8 tests
  * [9830e32] Update packaging URLs and upstream information

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Dec 2015 21:04:27 +0100

facter (2.2.0-1) unstable; urgency=medium

  * Imported upstream release 2.2.0

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 26 Aug 2014 09:41:22 +0200

facter (2.1.0-1) unstable; urgency=medium

  * Imported upstream release 2.1.0

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 30 Jun 2014 16:55:08 +0200

facter (2.0.1-1) unstable; urgency=medium

  * Imported upstream release 2.0.1
  * Declare compliance with version 3.9.5 of the Debian Policy Manual

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 07 Apr 2014 00:12:31 +0200

facter (1.7.3-1) unstable; urgency=low

  * Imported upstream version 1.7.3
  * Bump standards version (no changes)
  * Update copyright format URI

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 04 Nov 2013 15:57:00 +0100

facter (1.7.2-1) unstable; urgency=low

  * Imported upstream version 1.7.2

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 01 Sep 2013 13:03:51 +0200

facter (1.7.0-1) unstable; urgency=low

  [ Micah Anderson ]
  * fix xen0/xenu detection (Closes: #682417)

  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Recommend virt-what for virtualization detection
  * Update copyright information

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 18:36:25 +0200

facter (1.6.10-1) unstable; urgency=low

  * New upstream release
  * Remove upstream LSB patch included in this release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Jun 2012 13:01:40 +0200

facter (1.6.9-2) unstable; urgency=medium

  * Add patch from upstream (b050eb1) to ignore LSB noise

 -- Micah Anderson <micah@debian.org>  Wed, 30 May 2012 11:26:27 -0400

facter (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 May 2012 15:42:48 +0200

facter (1.6.8-1) unstable; urgency=low

  * Imported Upstream version 1.6.8

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 18:16:20 +0200

facter (1.6.7-1) unstable; urgency=low

  * Imported Upstream version 1.6.7
  * Bump standards version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 30 Mar 2012 22:47:22 +0200

facter (1.6.6-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 27 Feb 2012 16:45:49 +0100

facter (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Jan 2012 11:11:13 +0100

facter (1.6.4-2) unstable; urgency=low

  * Move dmidecode from Depends to Recommends (Closes: #651501)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 09 Dec 2011 09:40:16 +0100

facter (1.6.4-1) unstable; urgency=low

  * New upstream release
  * Add dependency on dmidecode

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 08 Dec 2011 01:19:09 +0100

facter (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Nov 2011 21:44:38 +0100

facter (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Oct 2011 11:29:53 +0200

facter (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Use upstream tarball instead of git tag

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 06 Oct 2011 10:48:30 +0200

facter (1.6.0-1) unstable; urgency=low

  * New upstream release
  * New packaging to support multiple ruby versions
  * Upstream license change
  * Update man page

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Jun 2011 10:04:12 +0200

facter (1.5.9-1) unstable; urgency=low

  * New upstream release
  * Rewrite package description a bit to please lintian
  * Bump Standards-Version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 22 May 2011 13:43:16 +0200

facter (1.5.9~rc2-1) experimental; urgency=low

  * New upstream release candidate (Closes: #549616, #590498)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 Mar 2011 12:06:08 +0100

facter (1.5.8-2) unstable; urgency=low

  * Release for unstable

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 07 Feb 2011 05:56:53 +0000

facter (1.5.8-1) experimental; urgency=low

  [Puppet Labs]
  * New upstream version

  [ Micah Anderson ]
  * debian/control: add Vcs-Git, Vcs-Browser, and Homepage fields
  * debian/control: bump standards version: no changes
  * debian/NEWS: fix lintian syntax-error-in-debian-news-file
  * debian/facter.8: fix manpage-section-mismatch

  [ Stig Sandbeck Mathisen ]
  * Fix "upgrade from 1.3.5 to 1.5.1 requires puppet to be restarted",
    added a note in debian/NEWS about restarting puppet (Closes: #515726)
  * debian/NEWS: Update to warn of changes in facter API
    (Closes: #499869)
  * Add versioned dependency for ruby1.8 (Closes: #545867)
  * Cherry-pick domain/fqdn fact fix from upstream (Closes: #515591)
  * debian/control: Bump standards version (again), no changes
  * debian/control: Remove unused build dependency on "cdbs"
  * debian/source/format: Use "3.0 (quilt)"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 01 Dec 2010 16:02:13 +0100

facter (1.5.7-1) unstable; urgency=low

  * New upstream version 1.5.7
  * Migrate packaging to git-buildpackage

 -- Nigel Kersten <nigel@explanatorygap.net>  Fri, 29 Jan 2010 09:57:40 -0800

facter (1.5.6-3) UNRELEASED; urgency=low

  [ Micah Anderson ]
  * Switch the Depends priority from 'host | bind9-host' as the
    'host' package is really old and may be removed soon from the
    archive. It also doesn't provide many newer functionality.

  [ Andrew Pollock ]
  * Recommend pciutils instead of depending on it (closes: #545866)

  [ Stig Sandbeck Mathisen ]
  * Add manpage for facter (Closes: #377123)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 25 Dec 2009 00:41:25 +0100

facter (1.5.6-2) unstable; urgency=low

  * Added depends possibility on libopenssl-ruby1.9
  * Switch from install.rb to using the standardized Debian ruby CDBS
    classes to use setup.rb. This stops the munging of the shebang
    to a specific ruby version, as facter works with both 1.8 and 1.9
  * Install facter library dependencies in ruby version neutral
    directory: /usr/lib/ruby/vendor_ruby
  * Add depends on libsetup-ruby1.8, ruby-pkg-tools and cdbs

 -- Micah Anderson <micah@debian.org>  Tue, 30 Jun 2009 00:21:23 -0400

facter (1.5.6-1) unstable; urgency=low

  * New upsream release
  * Add myself to uploaders
  * Bumped Standards-Version (no changes)
  * Added versioned build-depends on debhelper 5

 -- Micah Anderson <micah@debian.org>  Mon, 29 Jun 2009 22:53:18 -0400

facter (1.5.4-1) unstable; urgency=low

  [ Nigel Kersten ]
  * New upstream release
  * Switch maintainer to pkg-puppet-devel list
  * Modify uploaders
  * Update watch file regexp to exclude release canditate tarballs
  * Use upstream install.rb script to build rather than copying manually

  [ Andrew Pollock ]
  * debian/control: add libopenssl-ruby to build dependencies
  * debian/control: bump Standards-Version (no changes)
  * debian/compat: increase to 5
  * debian/control: add pciutils and ${misc:Depends} to dependencies

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Apr 2009 15:20:21 -0700

facter (1.5.1-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release to fix zombie problem (Closes: #497363)

 -- Micah Anderson <micah@debian.org>  Wed, 03 Sep 2008 09:06:56 -0400

facter (1.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #492430)
  * Upgraded standards version to 3.8.0 (no changes)

 -- Micah Anderson <micah@debian.org>  Sat, 26 Jul 2008 07:46:56 -0400

facter (1.3.8-1) unstable; urgency=low

  * New upstream release.
  * Add 4.0/etch as a new entry in the debianversion fact.
  * Unfutz the debianversion fact so it doesn't annoy us with it's
    "constant already defined" whining.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 25 Sep 2007 07:58:22 +1000

facter (1.3.7-1) unstable; urgency=low

  * New upstream release.  Closes: #418967.
  * Add dependency on net-tools (for ifconfig).  Closes: #415899.
  * Add a new 'debianversion' fact.  Closes: #378895.  Thanks to David
    Schmitt for the patch.
  * Add a dependency on host | bind9-host (for host).  Closes: #403109.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 20 Apr 2007 14:09:59 +1000

facter (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 31 Oct 2006 06:24:59 +1100

facter (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 30 Jun 2006 12:43:50 +1000

facter (1.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #364976)

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 24 May 2006 09:40:54 +1000
